Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 110)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 111)
@@ -89,4 +89,6 @@
   uint32_t                nb_decod_bloc                                 ,
   uint32_t              * size_decod_queue                              ,//[nb_decod_bloc]
+  multi_front_end::front_end::decod_unit::decod_queue::Tdecod_queue_scheme_t
+                        * decod_queue_scheme                            ,//[nb_decod_bloc]
   uint32_t              * nb_inst_decod                                 ,//[nb_decod_bloc]
   uint32_t              * nb_context_select                             ,//[nb_decod_bloc]
@@ -181,4 +183,6 @@
   Tload_balancing_t     * commit_load_balancing                         ,//[nb_ooo_engine]
   uint32_t              * size_issue_queue                              ,//[nb_ooo_engine]
+  multi_ooo_engine::ooo_engine::issue_queue::Tissue_queue_scheme_t
+                        * issue_queue_scheme                            ,//[nb_ooo_engine]
   uint32_t              * nb_issue_queue_bank                           ,//[nb_ooo_engine]
   Tpriority_t           * issue_priority                                ,//[nb_ooo_engine]
@@ -242,4 +246,5 @@
     _nb_decod_bloc                           = nb_decod_bloc                           ;
     _size_decod_queue                        = size_decod_queue                        ;
+    _decod_queue_scheme                      = decod_queue_scheme                      ;
     _nb_inst_decod                           = nb_inst_decod                           ;
     _nb_context_select                       = nb_context_select                       ;
@@ -323,4 +328,5 @@
     _commit_load_balancing                   = commit_load_balancing                   ;
     _size_issue_queue                        = size_issue_queue                        ;
+    _issue_queue_scheme                      = issue_queue_scheme                      ;
     _nb_issue_queue_bank                     = nb_issue_queue_bank                     ;
     _issue_priority                          = issue_priority                          ;
@@ -786,4 +792,6 @@
     ALLOC1(_front_end_nb_inst_branch_complete             ,uint32_t         ,_nb_front_end);
     ALLOC2(_front_end_size_decod_queue                    ,uint32_t         ,_nb_front_end,_nb_decod_unit[it1]);
+    ALLOC2(_front_end_decod_queue_scheme                  ,multi_front_end::front_end::decod_unit::decod_queue::Tdecod_queue_scheme_t
+                                                                            ,_nb_front_end,_nb_decod_unit[it1]);
     ALLOC2(_front_end_nb_inst_decod                       ,uint32_t         ,_nb_front_end,_nb_decod_unit[it1]);
     ALLOC1(_front_end_sum_inst_decod                      ,uint32_t         ,_nb_front_end);
@@ -804,4 +812,5 @@
             
             _front_end_size_decod_queue              [i][j] = _size_decod_queue              [num_decod_bloc];
+            _front_end_decod_queue_scheme            [i][j] = _decod_queue_scheme            [num_decod_bloc];
             _front_end_nb_inst_decod                 [i][j] = _nb_inst_decod                 [num_decod_bloc];
             _front_end_sum_inst_decod                [i]   += _nb_inst_decod                 [num_decod_bloc];
@@ -1835,4 +1844,5 @@
         _front_end_link_decod_unit_with_context [i],
         _front_end_size_decod_queue             [i],
+        _front_end_decod_queue_scheme           [i],
         _front_end_nb_inst_decod                [i],
         _front_end_nb_context_select            [i],
@@ -1858,5 +1868,7 @@
         _front_end_upt_size_queue               [i],
         _front_end_ufpt_size_queue              [i],
-        _size_nb_inst_commit                    
+        _size_nb_inst_commit                       ,
+        _nb_thread                                 ,
+        _link_thread_with_context               [i]
         );
 
@@ -1890,4 +1902,5 @@
        _commit_load_balancing                        [i],
        _size_issue_queue                             [i],
+       _issue_queue_scheme                           [i],
        _nb_issue_queue_bank                          [i],
        _issue_priority                               [i],
@@ -2153,4 +2166,5 @@
     DELETE1(_front_end_sum_inst_decod                               ,_nb_front_end);
     DELETE2(_front_end_nb_inst_decod                                ,_nb_front_end,_nb_decod_unit[it1]);
+    DELETE2(_front_end_decod_queue_scheme                           ,_nb_front_end,_nb_decod_unit[it1]);
     DELETE2(_front_end_size_decod_queue                             ,_nb_front_end,_nb_decod_unit[it1]);
     DELETE1(_front_end_nb_inst_branch_complete                      ,_nb_front_end);
